Bug 722466 - creating 32 bit isos fails when there is 2 kernels
creating 32 bit isos fails when there is 2 kernels
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F16Blocker/F16FinalBlocker
  Show dependency treegraph
 
Reported: 2011-07-15 08:55 EDT by Dennis Gilmore
Modified: 2013-07-04 08:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: lorax-16.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 06:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2011-07-15 08:55:57 EDT
Description of problem:

when building the rawhide qa acceptance iso's i hit a issue in lorax. with both kernel and kernel-PAE we get a traceback and not initrd
Traceback (most recent call last):
  File "/usr/bin/pungi", line 218, in <module>
    main()
  File "/usr/bin/pungi", line 122, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 845, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 447, in run
    i.create_initrd(self.libdir)
  File "/usr/lib/python2.7/site-packages/pylorax/images.py", line 515, in create_initrd
    self.installtree.compress(initrd, kernel, self.ctype, self.cargs)
  File "/usr/lib/python2.7/site-packages/pylorax/installtree.py", line 517, in compress
    self.make_squashfs_runtime(initrd, kernel, type, args)
  File "/usr/lib/python2.7/site-packages/pylorax/installtree.py", line 633, in make_squashfs_runtime
    logger.debug("initramfs.img size = %i", os.stat(self.initramfs).st_size)
OSError: [Errno 2] No such file or directory: '/srv/pungi/20110715/work/Fedora/i386/initramfs.img'


if i add --exclude=kernel-PAE to the repo line in the kickstart i can create the 32 bit isos just fine

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 James Laska 2011-07-15 09:05:11 EDT
Proposing as a F16 Alpha blocker.  The impact of this issue is that kernel-PAE is not provided.  Unclear what criteria would be affected by this issue.
Comment 2 Adam Williamson 2011-07-15 13:39:14 EDT
Discussed at the 2011-07-15 Alpha blocker review meeting. Agreed that this is not an Alpha blocker as the impact is too small: lack of a PAE kernel would not stop anyone from installing and running the Alpha, it will only result in less than the full amount of system memory being accessible on some configurations. Re-proposing as a Final blocker as some present at the meeting believed it should be one.
Comment 3 Andre Robatino 2011-08-09 06:06:17 EDT
What is the status of this? The i386 20110721 images included kernel-PAE, but the i386 TC1, RC1, and RC2 DVDs do not.
Comment 4 Martin Gracik 2011-08-09 06:21:04 EDT
I remember Dennis telling me there was some bug with yum and two kernels. Maybe that's the problem?

Dennis do you have some more information? Or the bug #?

This particular bug is fixed, otherwise the composes would not even finish, so there must be some other problem now.
Comment 5 Dennis Gilmore 2011-08-09 10:26:07 EDT
this particular issue is fixed, Im now getting a traceback from yum. i need to file a yum bug for it yet.

Note You need to log in before you can comment on or make changes to this bug.